﻿using System;

namespace CurrencyConverter
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Currency Converter");
            Console.WriteLine("1. Peso to Dollar");
            Console.WriteLine("2. Dollar to Peso");
            Console.WriteLine("Enter your choice (1 or 2):");

            int choice;
            bool validChoice = int.TryParse(Console.ReadLine(), out choice);

            if (validChoice)
            {
                Console.Write("Enter the amount: ");
                double amount;
                bool validAmount = double.TryParse(Console.ReadLine(), out amount);

                if (validAmount)
                {
                    double convertedAmount = 0;

                    if (choice == 1)
                    {
                        // Peso to Dollar conversion (1 Peso = 0.020 USD)
                        convertedAmount = amount * 0.020;
                        Console.WriteLine($"{amount} Pesos = {convertedAmount} USD");
                    }
                    else if (choice == 2)
                    {
                        // Dollar to Peso conversion (1 USD = 50 Pesos)
                        convertedAmount = amount * 50;
                        Console.WriteLine($"{amount} USD = {convertedAmount} Pesos");
                    }
                    else
                    {
                        Console.WriteLine("Invalid choice. Please enter either 1 or 2.");
                    }
                }
                else
                {
                    Console.WriteLine("Invalid amount. Please enter a valid numeric value.");
                }
            }
            else
            {
                Console.WriteLine("Invalid choice. Please enter either 1 or 2.");
            }

            Console.ReadKey();
        }
    }
}
